/**
 * <copyright>
 * </copyright>
 *
 * $Id: ChangeRequestValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.management.warehouseoperation.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.objectmodel.core.ModelElement;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseoperation.ChangeRequest}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ChangeRequestValidator {
	boolean validate();

	boolean validateChangeDescription(String value);
	boolean validateChangeReason(String value);
	boolean validateStatus(String value);
	boolean validateCompleted(boolean value);
	boolean validateRequestDate(String value);
	boolean validateCompletionDate(String value);
	boolean validateModelElement(EList<ModelElement> value);
}
